mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Runtime.InteropServices.ComVisible(true) To be added

Contains the typical parameters for the algorithm.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 It is possible to verify the primes p and q by using this parameter.

  Specifies the counter for the algorithm.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] The numbers P, Q and G may be shared for a group of users.

  Specifies the G parameter for the algorithm.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added

  Specifies the J parameter for the algorithm.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[]

  P must be a prime number between 64 and 128 bytes long.

  Specifies the P parameter for the algorithm.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[]

  Q must be a 160-bit prime factor of P - 1.

  Specifies the Q parameter for the algorithm.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[]

  The seed is the base number used for the generation of pseudo-random numbers.

  Specifies the seed for the algorithm.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[]

  X is a random 160 bits number (20 bytes). It's size doesn't vary with the length of the public key (512-1024 bits).

  While this structure has the attribute the private key, X, is marked as so it's content cannot be divulged using serialization.

  Specifies the X parameter for the algorithm.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] The public key, Y = G^X mod P.

  Specifies the Y parameter for the algorithm.